GTKFixes (SelekTOR Java Documentation)
Date: 2017-04-14

lib

## Class GTKFixes

- java.lang.Object
- - lib.GTKFixes

-     public class GTKFixes
      extends java.lang.Object

  Author:
    Alistair Neil

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GTKFixes()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `fixJMenuPopupBorder(javax.swing.JMenu... jms)` Fixes incorrect JMenu border outline
    `static void` | `fixMenubarHeight(javax.swing.JMenuBar jmb, javax.swing.JMenuItem jmi)`
    `static void` | `fixMenuItemFgColor(javax.swing.JMenuItem... jmi)` Fixes incorrect JMenu selectionForeground highlighting
    `static void` | `fixMenuSelectionColor(javax.swing.JMenu... jms)` Fixes incorrect JMenu selectionForeground and selectionBackground highlighting
    `static void` | `fixTextAreaColor(javax.swing.JTextArea jta)`
    `static void` | `fixTrayMenuPopupBorder(TrayPopupMenu tpm)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GTKFixes

          public GTKFixes()

  - ### Method Detail

    - #### fixMenubarHeight

          public static void fixMenubarHeight(javax.swing.JMenuBar jmb,
                                              javax.swing.JMenuItem jmi)

    - #### fixMenuSelectionColor

          public static void fixMenuSelectionColor(javax.swing.JMenu... jms)

      Fixes incorrect JMenu selectionForeground and selectionBackground highlighting
      Parameters:
        `jms` - Array of JMenus or single JMenu

    - #### fixJMenuPopupBorder

          public static void fixJMenuPopupBorder(javax.swing.JMenu... jms)

      Fixes incorrect JMenu border outline
      Parameters:
        `jms` - Array of JMenus or single JMenu

    - #### fixTrayMenuPopupBorder

          public static void fixTrayMenuPopupBorder(TrayPopupMenu tpm)

    - #### fixMenuItemFgColor

          public static void fixMenuItemFgColor(javax.swing.JMenuItem... jmi)

      Fixes incorrect JMenu selectionForeground highlighting
      Parameters:
        `jmi` - Array of JMenuItems or single JMenuItem

    - #### fixTextAreaColor

          public static void fixTextAreaColor(javax.swing.JTextArea jta)